<?xml version="1.0" encoding="utf-8"?>
<RibbonDiffXml>
  <CustomActions>
    <CustomAction Id="vhacrm.incident.ButtonBulkResolve.Button.CustomAction" Location="Mscrm.HomepageGrid.incident.MainTab.Actions.Controls._children" Sequence="1">
      <CommandUIDefinition>
        <Button Alt="$LocLabels:vhacrm.incident.ButtonBulkResolve.Button.Alt" Command="vhacrm.incident.CommandBulkResolve.Command" Description="Bulk Resolve" Id="vhacrm.incident.ButtonBulkResolve.Button" Image32by32="/_imgs/ribbon/resolvecase32.png" Image16by16="/_imgs/ribbon/ResolveCase_16.png" LabelText="$LocLabels:vhacrm.incident.ButtonBulkResolve.Button.LabelText" Sequence="1" TemplateAlias="o1" ToolTipTitle="$LocLabels:vhacrm.incident.ButtonBulkResolve.Button.ToolTipTitle" ToolTipDescription="$LocLabels:vhacrm.incident.ButtonBulkResolve.Button.ToolTipDescription" ModernImage="ResolveCase" />
      </CommandUIDefinition>
    </CustomAction>
    <HideCustomAction HideActionId="vhacrm.Mscrm.Form.incident.Cancel.Hide" Location="Mscrm.Form.incident.Cancel" />
    <HideCustomAction HideActionId="vhacrm.Mscrm.Form.incident.CreateChildcase.Hide" Location="Mscrm.Form.incident.CreateChildcase" />
    <HideCustomAction HideActionId="vhacrm.Mscrm.Form.incident.NewRecord.Hide" Location="Mscrm.Form.incident.NewRecord" />
    <HideCustomAction HideActionId="vhacrm.Mscrm.Form.incident.Resolve.Hide" Location="Mscrm.Form.incident.Resolve" />
    <HideCustomAction HideActionId="vhacrm.Mscrm.Form.incident.RunRoutingRule.Hide" Location="Mscrm.Form.incident.RunRoutingRule" />
    <HideCustomAction HideActionId="vhacrm.Mscrm.HomepageGrid.incident.NewRecord.Hide" Location="Mscrm.HomepageGrid.incident.NewRecord" />
    <HideCustomAction HideActionId="vhacrm.Mscrm.SubGrid.incident.AddNewStandard.Hide" Location="Mscrm.SubGrid.incident.AddNewStandard" />
    <HideCustomAction HideActionId="vhacrm.Mscrm.SubGrid.incident.NewRecord.Hide" Location="Mscrm.SubGrid.incident.NewRecord" />
  </CustomActions>
  <Templates>
    <RibbonTemplates Id="Mscrm.Templates"></RibbonTemplates>
  </Templates>
  <CommandDefinitions>
    <CommandDefinition Id="vhacrm.incident.CommandBulkResolve.Command">
      <EnableRules>
        <EnableRule Id="vhacrm.incident.EnableRuleBulkResolve.EnableRule" />
      </EnableRules>
      <DisplayRules />
      <Actions>
        <JavaScriptFunction FunctionName="bulkResolveRequests" Library="$webresource:vhacrm_/Forms/js/entity_Request_HD.js">
          <CrmParameter Value="SelectedControlSelectedItemReferences" />
        </JavaScriptFunction>
      </Actions>
    </CommandDefinition>
  </CommandDefinitions>
  <RuleDefinitions>
    <TabDisplayRules />
    <DisplayRules />
    <EnableRules>
      <EnableRule Id="vhacrm.incident.EnableRuleBulkResolve.EnableRule">
        <SelectionCountRule AppliesTo="SelectedEntity" Minimum="1" />
      </EnableRule>
    </EnableRules>
  </RuleDefinitions>
  <LocLabels>
    <LocLabel Id="vhacrm.incident.ButtonBulkResolve.Button.Alt">
      <Titles>
        <Title description="Bulk Resolve" languagecode="1033" />
      </Titles>
    </LocLabel>
    <LocLabel Id="vhacrm.incident.ButtonBulkResolve.Button.LabelText">
      <Titles>
        <Title description="Bulk Resolve" languagecode="1033" />
      </Titles>
    </LocLabel>
    <LocLabel Id="vhacrm.incident.ButtonBulkResolve.Button.ToolTipDescription">
      <Titles>
        <Title description="Bulk Resolve" languagecode="1033" />
      </Titles>
    </LocLabel>
    <LocLabel Id="vhacrm.incident.ButtonBulkResolve.Button.ToolTipTitle">
      <Titles>
        <Title description="Bulk Resolve" languagecode="1033" />
      </Titles>
    </LocLabel>
  </LocLabels>
</RibbonDiffXml>